rem #
rem # dos script to compile shadow3
rem #
@echo off
setlocal



rem copying files prepared in unix
copy N:\Working\rt\3CODES\shadow3\tmp\*.f90 .



echo Creating shadow_version.f90...

rem Set COMPILER
rem COMPILER is obtained from the first command line parameter if present
rem set COMPILER=gfortran
rem set COMPILER=g95
if not (%1) == () (set COMPILER=%1) else if (%COMPILER%) == () (set COMPILER=gfortran)


call shadow_version.bat %COMPILER%
echo DONE Creating shadow_version.f90.

del shadow3.exe *.o *.mod
echo Compiling...
@echo on
call compile_%COMPILER%.bat
@echo off
echo DONE Compiling.


rem installing
 
copy shadow3.exe "C:\Program Files (x86)\xop2.3\extensions\shadowvui\shadow3\shadow3.exe"
copy *.f90 "C:\Program Files (x86)\xop2.3\extensions\shadowvui\shadow3\*"

copy shadow3.exe "N:\scisoft\xop2.3\extensions\shadowvui\shadow3_windows\shadow3.exe"
copy *.f90 "N:\scisoft\xop2.3\extensions\shadowvui\shadow3_windows\*"
copy *.bat "N:\scisoft\xop2.3\extensions\shadowvui\shadow3_windows\*"
copy *.txt "N:\scisoft\xop2.3\extensions\shadowvui\shadow3_windows\*"
copy PRELIB*.* "N:\scisoft\xop2.3\extensions\shadowvui\shadow3_windows\*"
copy *.nml "N:\scisoft\xop2.3\extensions\shadowvui\shadow3_windows\*"


echo Cleaning...
del *.o *.mod
echo ALL DONE.

